PieChartDataProcessor (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.processors.PieChartDataProcessor,PieChartDataProcessor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData.processors
Class PieChartDataProcessor

    java.lang.Object
      |
      +--org.jCharts.chartData.processors.PieChartDataProcessor

public final class PieChartDataProcessor
extends java.lang.Object

Utility class to process the PieChartDataSet

Field Summary
`private IPieChartDataSet` | `iPieChartDataSet`
`private double` | `sumOfData`

Constructor Summary
`PieChartDataProcessor(IPieChartDataSet iPieChartDataSet)` Constructor

Method Summary
`double` | `getPercentageOfPie(int index)` Returns percentage of pie(360 degrees) data point at specified index.
`void` | `processData()` This method should do a single pass through the data set and calculate all needed values, such as: min, max, sum, etc...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iPieChartDataSet

    private IPieChartDataSet iPieChartDataSet

### sumOfData

    private double sumOfData

Constructor Detail

### PieChartDataProcessor

    public PieChartDataProcessor(IPieChartDataSet iPieChartDataSet)

  Constructor

Parameters:
  `iPieChartDataSet` -

Method Detail

### processData

    public void processData()

  This method should do a single pass through the data set and calculate all needed values, such as: min, max, sum, etc... so that we can do this in one pass through the data. Rather than once for each.

### getPercentageOfPie

    public double getPercentageOfPie(int index)

  Returns percentage of pie(360 degrees) data point at specified index.

  Parameters:
    `index` -
  Returns:
    double

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD